use library::config;

mod controller;
mod router;

/// 启动服务
pub async fn serve() {
    let addr = format!("0.0.0.0:{}", config!().server.port);

    let listener = tokio::net::TcpListener::bind(&addr).await.unwrap();

    tracing::info!("服务监听地址: {}", addr);

    axum::serve(listener, router::init()).await.unwrap();
}
