use serde::Deserialize;
use validator::Validate;

#[derive(Deserialize, Validate)]
pub struct PageParams {
    #[validate(required(message = "VALIDATE_PAGEABLE_PAGE_REQUIRED"), range(min = 1, message = "VALIDATE_PAGEABLE_PAGE_REQUIRED"))]
    pub page: Option<i64>,
    #[serde(rename = "pageSize")]
    #[validate(required(message = "VALIDATE_PAGEABLE_PAGE_SIZE_REQUIRED"), range(min = 1, message = "VALIDATE_PAGEABLE_PAGE_SIZE_REQUIRED"))]
    pub page_size: Option<i64>,
}