use std::collections::HashMap;

use lazy_static::lazy_static;

use crate::message_ids::{
    ACCOUNT_DISABLED, ACCOUNT_NO_PERMISSION, HELLO, INCORRECT_USERNAME_OR_PASSWORD, INVALID_TOKEN, VALIDATE_ACCOUNT_ID_TOKEN_REQUIRED, VALIDATE_ACCOUNT_LANG_TAG_REQUIRED, VALIDATE_ACCOUNT_NAME_REQUIRED, VALIDATE_ACCOUNT_PASSWORD_REQUIRED, VALIDATE_FEEDBACK_CONTENT_REQUIRED, VALIDATE_PAGEABLE_PAGE_REQUIRED, VALIDATE_PAGEABLE_PAGE_SIZE_REQUIRED
};

pub const LANGUAGE_ID: &str = "en-US";

lazy_static! {
    pub static ref MESSAGE: HashMap<&'static str, &'static str> = {
        let mut map = HashMap::new();
        map.insert(HELLO, "hello {}");
        map.insert(ACCOUNT_DISABLED, "account is disabled");
        map.insert(ACCOUNT_NO_PERMISSION, "account has no permission");
        map.insert(INCORRECT_USERNAME_OR_PASSWORD,"incorrect username or password");
        map.insert(INVALID_TOKEN, "invalid token");

        map.insert(VALIDATE_FEEDBACK_CONTENT_REQUIRED, "feedback content is required");
        map.insert(VALIDATE_ACCOUNT_NAME_REQUIRED, "username is required");
        map.insert(VALIDATE_ACCOUNT_PASSWORD_REQUIRED, "password is required");
        map.insert(VALIDATE_ACCOUNT_ID_TOKEN_REQUIRED, "ID Token is required");
        map.insert(VALIDATE_ACCOUNT_LANG_TAG_REQUIRED, "lang tag is required");
        map.insert(VALIDATE_PAGEABLE_PAGE_REQUIRED, "invalid page number");
        map.insert(VALIDATE_PAGEABLE_PAGE_SIZE_REQUIRED, "invalid quantity per page");
        map
    };
}
