use std::sync::Arc;

use domain::entities::account::Account;

#[derive(Debug, Clone)]
pub struct Context {
    pub account: Arc<Account>,
    pub token: Arc<String>,
}

impl Context {
    pub fn get_account(&self) -> &Account {
        &self.account
    }

    pub fn get_token(&self) -> &String {
        &self.token
    }

    pub fn get_lang_tag(&self) -> &String {
        &self.account.lang_tag
    }
}

#[derive(Debug, Clone)]
pub struct WhiteContext {
    pub lang_tag: String,
}

impl WhiteContext {
    pub fn get_lang_tag(&self) -> &String {
        &self.lang_tag
    }
}