use library::config;
use mimalloc::MiMalloc;

#[global_allocator]
static GLOBAL: MiMalloc = MiMalloc;

#[tokio::main]
async fn main() {
    let (_std_guard, _file_guard) = library::core::logger::init_log(config!());
    library::core::db::init_database(config!()).await;

    job::start().await;
    api::serve().await;
}
